#include <bits/stdc++.h>

using namespace std;

int glavni[200000];


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);


    int n,q;
    cin >> n;
    for(int i = 0;i<n;i++)
    {
        cin >> glavni[i];

    }
    cin >> q;
    int l,r;
    int nePripada = 0;
    bool jeste = true;
    for(int i = 0;i<q;i++)
    {
        cin >> l >> r;
        if(l == r)
        {
            cout << "DA"<<'\n';
            continue;
        }
        l--;
        r--;
        for(int j = l;j<r;j++)
        {
            if(glavni[j]>glavni[j+1])
            {
                 nePripada++;
                 if(nePripada > 1)
                 {
                     jeste = false;
                     cout << "NE"<<'\n';
                     break;
                 }
            }
        }
        if(jeste)
            cout << "DA"<<'\n';
        jeste = true;
        nePripada = 0;
    }



}